Trying to make Hood work with GHC

Mike Gunter [email protected]
25 Jul 2001 09:47:56 -0700


Below are the diffs I used to get from the 4.08 version to one that
compiles and seems to work with 5.00.

        mike


diff -c -a -r1.1 Observe.lhs
*** Observe.lhs	10 Jan 2001 16:21:12 -0000	1.1
--- Observe.lhs	25 Jul 2001 16:44:09 -0000
***************
*** 107,113 ****
  
  \begin{code}
  import Exception ( catchAll
! 		, Exception(..)
  		, throw
  		, catchAllIO
  		)
--- 107,113 ----
  
  \begin{code}
  import Exception ( catchAll
! 		, Exception(..), IOException
  		, throw
  		, catchAllIO
  		)
***************
*** 269,275 ****
  generate an IOError with a bottom in it, your just asking for trouble.
  
  \begin{code}
! instance Observable IOError  where { observer = observeBase }
  \end{code}
  
  Functions.
--- 269,275 ----
  generate an IOError with a bottom in it, your just asking for trouble.
  
  \begin{code}
! instance Observable IOException  where { observer = observeBase }
  \end{code}
  
  Functions.





Alain Cremieux <[email protected]> writes:

> Hi,
> I'm currently trying to have Hood work with GHC, but I have some
> problems
> - I have succeeded in using the hugs version of Hood
> - I have dowloaded the GHC version (slightly different) but the
> compilation of the 'Observe' modules fails (the module is supposed to
> work with GHC 4.08 and I have GHC 5.00.2) :
...